> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request incoming funds statement via email

Send an incoming funds statement via email to a specified client.


## OpenAPI

````yaml /openapi.json post /statements/incoming-funds
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /statements/incoming-funds:
    post:
      tags:
        - Statements
      summary: Request incoming funds statement via email
      description: >
        Request an incoming funds statement to be sent via email. The statement
        will be generated asynchronously and sent to the client's registered
        email address. Supports csv, pdf and xlx formats.
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - date_from
                - date_to
              properties:
                date_from:
                  type: string
                  format: date
                  description: Start date for the statement (YYYY-MM-DD)
                  example: '2020-01-13'
                date_to:
                  type: string
                  format: date
                  description: End date for the statement (YYYY-MM-DD)
                  example: '2020-01-31'
                format:
                  type: string
                  enum:
                    - csv
                    - pdf
                  default: csv
                  description: The format of the statement
        description: Incoming funds statement request parameters
        required: true
      responses:
        '202':
          description: Request accepted, you will receive an email with the statement
          content:
            text/plain:
              schema:
                type: string
                example: >-
                  Request accepted, you will receive an email with the
                  statement.
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Client ID not found
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````